summaryrefslogtreecommitdiffstats
path: root/games/xskat
diff options
context:
space:
mode:
author Jan Herrygers <janherrygers@skynet.be>2010-05-11 22:53:49 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:49 +0200
commit4b3d6e0e1fca4d60e3eb9dec10e2b265926fc93a (patch)
tree29da20876af26c5a287322625fe2615cffa46d51 /games/xskat
parentce5e0babf5e3334e199eb9e16871d421c215f554 (diff)
downloadslackbuilds-4b3d6e0e1fca4d60e3eb9dec10e2b265926fc93a.tar.gz
slackbuilds-4b3d6e0e1fca4d60e3eb9dec10e2b265926fc93a.tar.xz
games/xskat: Added to 12.1 repository
Diffstat (limited to 'games/xskat')
-rw-r--r--games/xskat/README21
-rw-r--r--games/xskat/slack-desc20
-rw-r--r--games/xskat/xskat.SlackBuild92
-rw-r--r--games/xskat/xskat.info8
4 files changed, 141 insertions, 0 deletions
diff --git a/games/xskat/README b/games/xskat/README
new file mode 100644
index 0000000000..1ea90faef2
--- /dev/null
+++ b/games/xskat/README
@@ -0,0 +1,21 @@
+XSkat lets you play the card game Skat as defined
+by the official Skat Order on any Un*x machine running X11.
+Features:
+- Single- and multiplayer mode.
+- Playing over LAN or IRC.
+- Game lists and logs.
+- Three types of scoring.
+- English or German text.
+- German or French suited cards.
+- Selectable computer playing strength.
+- Pre-definable card distributions.
+- Variations: Ramsch, Bock, Kontra & Re, ...
+
+I don't know any IRC channels where people gather to play skat
+online, but if you know any, or if you want to start one, you
+may email me (I'm not a good card player and a bad loser, I warn you)
+
+From the README.IRC file:
+-------------------------------------------------------------
+ ### XSkat times: every Fri 13:30 and Sun 18:00 MET/MEST ###
+-------------------------------------------------------------
diff --git a/games/xskat/slack-desc b/games/xskat/slack-desc
new file mode 100644
index 0000000000..3186a056d6
--- /dev/null
+++ b/games/xskat/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xskat: xskat (card game with 3 players for X)
+xskat:
+xskat: A card game folowing the official skat rules.
+xskat: It has computer players and multiplayer through network.
+xskat:
+xskat:
+xskat:
+xskat:
+xskat:
+xskat: homepage: www.xskat.de
+xskat:
+
diff --git a/games/xskat/xskat.SlackBuild b/games/xskat/xskat.SlackBuild
new file mode 100644
index 0000000000..2b8a920718
--- /dev/null
+++ b/games/xskat/xskat.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for xskat
+
+# Written by Jan Herrygers - janherrygers at skynet dot be
+# Slackbuild for xskat version 4.0 21/08/2008
+
+# Copyright 2008 Jan Herrygers
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xskat
+VERSION=${VERSION:-4.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure
+
+make
+make install DESTDIR=$PKG
+make install.man DESTDIR=$PKG
+
+# move the german manpage to the right directory
+mkdir -p $PKG/usr/man/de/man1/
+mv $PKG/usr/man/man1/xskat-de.1x $PKG/usr/man/de/man1/xskat.1x
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES CHANGES-de INSTALL INSTALL-de README README-de README.IRC README.IRC-de $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/xskat/xskat.info b/games/xskat/xskat.info
new file mode 100644
index 0000000000..9f305900a2
--- /dev/null
+++ b/games/xskat/xskat.info
@@ -0,0 +1,8 @@
+PRGNAM="xskat"
+VERSION="4.0"
+HOMEPAGE="http://www.xskat.de/xskat.html"
+DOWNLOAD="http://www.xskat.de/xskat-4.0.tar.gz"
+MD5SUM="6744cea48a890771736b75083e7ea2b5"
+MAINTAINER="Jan Herrygers"
+EMAIL="janherrygers@skynet.be"
+APPROVED="David Somero" \ No newline at end of file